from django.db import models

# Create your models here.
class Artist(models.Model):
    artist_name = models.CharField(max_length = 50)
    monthly_listeners = models.IntegerField(default = 0)
    birth_name = models.CharField(max_length = 100, default = "")
    bio = models.CharField(max_length = 700, default = "")

    def __str__(self):
        return self.artist_name

class Album(models.Model):
    album_name = models.CharField(max_length = 100)
    artist = models.ForeignKey(Artist, on_delete = models.CASCADE)
    description = models.CharField(max_length = 500)
    label = models.CharField(max_length = 100, default = "")
    song_count = models.CharField(max_length = 50, default = 0)
    release_date = models.DateTimeField("Date Released")

    def __str__(self):
        return self.album_name

class Song(models.Model):
    song_title = models.CharField(max_length = 100)
    artist = models.ForeignKey(Artist, on_delete = models.CASCADE)
    album = models.ForeignKey(Album, on_delete = models.CASCADE)
    lyrics = models.CharField(max_length = 1000, default = "")
    song_length = models.IntegerField(default = 0)
    music_video = models.BooleanField(default = False)

    def __str__(self):
        return self.song_title
